net.minecraft.client.renderer.entity

## Class RendererLivingEntity

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RendererLivingEntity

- Direct Known Subclasses:
    RenderLiving, RenderPlayer

      public abstract class RendererLivingEntity
      extends Render

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static float` | `NAME_TAG_RANGE`
    `static float` | `NAME_TAG_RANGE_SNEAK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RendererLivingEntity(ModelBase par1ModelBase, float par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
    `void` | `doRenderLiving(EntityLivingBase par1EntityLivingBase, double par2, double par4, double par6, float par8, float par9)`
    `void` | `setRenderPassModel(ModelBase par1ModelBase)` Sets the model to be used in the current render pass (the first render pass is done after the primary model is rendered) Args: model

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `doRenderShadowAndFire, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME_TAG_RANGE

          public static float NAME_TAG_RANGE

    - #### NAME_TAG_RANGE_SNEAK

          public static float NAME_TAG_RANGE_SNEAK

  - ### Constructor Detail

    - #### RendererLivingEntity

          public RendererLivingEntity(ModelBase par1ModelBase,
                              float par2)

  - ### Method Detail

    - #### setRenderPassModel

          public void setRenderPassModel(ModelBase par1ModelBase)

      Sets the model to be used in the current render pass (the first render pass is done after the primary model is rendered) Args: model

    - #### doRenderLiving

          public void doRenderLiving(EntityLivingBase par1EntityLivingBase,
                            double par2,
                            double par4,
                            double par6,
                            float par8,
                            float par9)

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
      Specified by:
        `doRender` in class `Render`